

import 'package:json_annotation/json_annotation.dart';

part 'course_info.g.dart';
@JsonSerializable()
class CourseInfo {
  String? courseId;
  String? schoolId;
  String? folderId;
  String? type;
  String? code;
  String? name;
  String? shortname;
  String? keyword;
  String? image;
  String? intro;
  String? status;
  String? releaseStatus;
  String? learningmode;
  int? sortorder;
  int? studentCount;
  double? price;
  double? salePrice;
  double? totalIncome;
  int? totalLesson;
  int? totalChapter;
  int? accessLimit;
  String? createDate;
  String? createUser;
  String? updateDate;
  String? updateUser;
  String? folderName;
  // List<Null>? teachers;
  String? grantStatus;
  String? teacherFullNameLst;
  int? finishedDay;
  int? currentRating;
  bool? courseIT;

  CourseInfo(
      {this.courseId,
        this.schoolId,
        this.folderId,
        this.type,
        this.code,
        this.name,
        this.shortname,
        this.keyword,
        this.image,
        this.intro,
        this.status,
        this.releaseStatus,
        this.learningmode,
        this.sortorder,
        this.studentCount,
        this.price,
        this.salePrice,
        this.totalIncome,
        this.totalLesson,
        this.totalChapter,
        this.accessLimit,
        this.createDate,
        this.createUser,
        this.updateDate,
        this.updateUser,
        this.folderName,
        // this.teachers,
        this.grantStatus,
        this.teacherFullNameLst,
        this.finishedDay,
        this.currentRating,
        this.courseIT});

  factory CourseInfo.fromJson(Map<String, dynamic> json) => _$CourseInfoFromJson(json);

  Map<String, dynamic> toJson() => _$CourseInfoToJson(this);
}